Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CosNaming
Class BindingIteratorPOATie

    java.lang.Object
      |
      +--org.omg.PortableServer.Servant
            |
            +--org.omg.CosNaming.BindingIteratorPOA
                  |
                  +--org.omg.CosNaming.BindingIteratorPOATie

All Implemented Interfaces:
  BindingIteratorOperations, InvokeHandler

public class BindingIteratorPOATie
extends BindingIteratorPOA

This interface provides an iterator to navigate into a naming context.

Constructor Summary
`BindingIteratorPOATie(BindingIteratorOperations tieObject)` Constructor
`BindingIteratorPOATie(BindingIteratorOperations tieObject, POA poa)` Constructor

Method Summary
`POA` | `_default_POA()` _default_POA method
`BindingIteratorOperations` | `_delegate()` Get the delegate
`void` | `_delegate(BindingIteratorOperations delegate_)` Set the delegate
`void` | `destroy()` Operation destroy
`boolean` | `next_n(int how_many, BindingListHolder bl)` Operation next_n
`boolean` | `next_one(BindingHolder b)` Operation next_one

Methods inherited from class org.omg.CosNaming.BindingIteratorPOA
`_all_interfaces, _invoke, _this, _this`

Methods inherited from class org.omg.PortableServer.Servant
`_get_delegate, _get_interface_def, _get_interface, _is_a, _non_existent, _object_id, _orb, _orb, _poa, _set_delegate, _this_object, _this_object`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BindingIteratorPOATie

    public BindingIteratorPOATie(BindingIteratorOperations tieObject)

  Constructor

### BindingIteratorPOATie

    public BindingIteratorPOATie(BindingIteratorOperations tieObject,
                                 POA poa)

  Constructor

Method Detail

### _delegate

    public BindingIteratorOperations _delegate()

  Get the delegate

### _delegate

    public void _delegate(BindingIteratorOperations delegate_)

  Set the delegate

### _default_POA

    public POA _default_POA()

  _default_POA method
  Overrides:
    `_default_POA` in class `Servant`

### next_one

    public boolean next_one(BindingHolder b)

  Operation next_one
  Following copied from interface: `org.omg.CosNaming.BindingIteratorOperations`
  Returns:
    If there are no more bindings, false is returned.

### next_n

    public boolean next_n(int how_many,
                          BindingListHolder bl)

  Operation next_n

### destroy

    public void destroy()

  Operation destroy

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD